System.ServiceModel 4.0.0.0 System.Object

This class is used for primary and transport tokens. It contains a security token and a corresponding collection of authorization policies.

Represents a security token and its authorization policies.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class using the specified token and token policies.

  The security token.
  The collection of security token policies.
- Property
  4.0.0.0
  System.IdentityModel.Tokens.SecurityToken To be added.

  A token is a collection of claims.

  Gets the security token.

- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.IdentityModel.Policy.IAuthorizationPolicy> To be added.

  An contributes claims into an evaluation context.

  Gets the collection of security token policies.